
Foreman - Bug #23466

Unable to provision host with hammer after upgrade to 1.16.1

04/30/2018 09:40 PM - Doug Forster

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: 1.16.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After upgrading to 1.16.1 I have been unable to provision new hosts even though there is no clear error as too why.

2018-04-30 12:50:47 fac68c29 [app] [I]   Parameters: {"host"=>{"name"=>" host-1.example.com", "loc

ation_id"=>3, "organization_id"=>1, "environment_id"=>1, "architecture_id"=>1, "domain_id"=>1, "op

eratingsystem_id"=>7, "medium_id"=>21, "ptable_id"=>229, "compute_resource_id"=>1, "hostgroup_id"=

>207, "build"=>true, "enabled"=>true, "managed"=>true, "compute_profile_id"=>31, "compute_attribut

es"=>{"start"=>"1", "volumes_attributes"=>{"0"=>{"size_gb"=>"50G", "datastore"=>"Storage_1", "thin

"=>"true"}}}, "puppet_proxy_id"=>3, "puppet_ca_proxy_id"=>3, "overwrite"=>true, "host_parameters_a

ttributes"=>[{"name"=>"subscription_manager_certpkg_url", "value"=>"[FILTERED]"}, {"name"=>"activa

tion_key", "value"=>"[FILTERED]"}], "interfaces_attributes"=>[{"ip"=>"192.168.10.11", "subnet_id"=

>"43", "compute_attributes"=>{"network"=>"QA-APP-192.168.10.0-24"}}]}, "apiv"=>"v2"}

2018-04-30 12:50:47 fac68c29 [app] [I] Current user: foreman_admin (administrator)

2018-04-30 12:50:47 fac68c29 [app] [I] Current user: foreman_admin (administrator)

2018-04-30 12:50:47 fac68c29 [app] [I] Current user: builder (regular user)

2018-04-30 12:50:47 fac68c29 [app] [I] Authorized user builder(VM Builder)

2018-04-30 12:50:47 fac68c29 [app] [I] Current user: builder (regular user)

2018-04-30 12:50:48 fac68c29 [app] [I] Adding Compute instance for  host-1.example.com

2018-04-30 12:50:50 fac68c29 [app] [I] Loaded compute resource data for networks in 1.762805399 se

conds

2018-04-30 12:50:51 fac68c29 [app] [I] Create DHCP reservation  host-1.example.com for  host-1.exa

mple.com-00:50:56:9d:cb:45/192.168.10.11

2018-04-30 12:50:51 fac68c29 [app] [I] Add DNS A record for  host-1.example.com/192.168.10.11

2018-04-30 12:50:51 fac68c29 [app] [I] Add DNS PTR record for 192.168.10.11/ host-1.example.com

2018-04-30 12:50:53 fac68c29 [templates] [I] Rendering template 'Kickstart default PXEGrub2'

2018-04-30 12:50:53 fac68c29 [app] [W] DEPRECATION WARNING: you are using deprecated @host.params 

in a template, it will be removed in 1.17. Use host_param instead.

2018-04-30 12:50:53 fac68c29 [app] [I] Deploying TFTP PXEGrub2 configuration for  host-1.example.c

om

2018-04-30 12:50:53 fac68c29 [templates] [I] Rendering template 'Kickstart default PXELinux'

2018-04-30 12:50:54 fac68c29 [app] [W] DEPRECATION WARNING: you are using deprecated @host.params 

in a template, it will be removed in 1.17. Use host_param instead.

2018-04-30 12:50:54 fac68c29 [app] [I] Deploying TFTP PXELinux configuration for  host-1.example.c

om

2018-04-30 12:50:54 fac68c29 [templates] [I] Rendering template 'Kickstart default PXEGrub'

2018-04-30 12:50:54 fac68c29 [app] [W] DEPRECATION WARNING: you are using deprecated @host.params 

in a template, it will be removed in 1.17. Use host_param instead.

2018-04-30 12:50:54 fac68c29 [app] [I] Deploying TFTP PXEGrub configuration for  host-1.example.co

m

2018-04-30 12:50:54 fac68c29 [app] [I] Fetching required TFTP boot files for  host-1.example.com

2018-04-30 12:50:54 fac68c29 [app] [I] Add realm entry for new host  host-1.example.com

2018-04-30 12:50:55 fac68c29 [app] [I] Powering up Compute instance for  host-1.example.com

2018-04-30 12:50:56 fac68c29 [app] [I] Processed 12 tasks from queue 'Host::Managed Main', complet

ed 12/12

2018-04-30 12:50:56 fac68c29 [app] [W] Rolling back due to exception during save

 | ActiveRecord::Rollback: ActiveRecord::Rollback

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/autosave_ass
ociation.rb:379:in `block in save_collection_association'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/autosave_ass

ociation.rb:364:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/autosave_ass

ociation.rb:364:in `save_collection_association'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/autosave_ass

ociation.rb:184:in `block in add_autosave_association_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/autosave_ass

ociation.rb:157:in `instance_eval'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/autosave_ass

ociation.rb:157:in `block in define_non_cyclic_method'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:228:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:228:in `block in halting_and_conditional'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:506:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:506:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:506:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:506:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:92:in `__run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:778:in `_run_create_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/callbacks.rb

:306:in `_create_record'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/timestamp.rb

:57:in `_create_record'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/persistence.

rb:504:in `create_or_update'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/callbacks.rb

:302:in `block in create_or_update'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:117:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:117:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:555:in `block (2 levels) in compile'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /usr/share/foreman/app/models/concerns/orchestration.rb:47:in `around_save_orchestration'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.
rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:92:in `__run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:778:in `_run_save_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/callbacks.rb

:302:in `create_or_update'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/persistence.

rb:120:in `save'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/validations.

rb:37:in `save'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/attribute_me

thods/dirty.rb:21:in `save'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions

.rb:286:in `block (2 levels) in save'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions

.rb:351:in `block in with_transaction_returning_status'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_a

dapters/abstract/database_statements.rb:213:in `block in transaction'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_a

dapters/abstract/transaction.rb:184:in `within_new_transaction'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_a

dapters/abstract/database_statements.rb:213:in `transaction'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions

.rb:220:in `transaction'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions

.rb:348:in `with_transaction_returning_status'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions

.rb:286:in `block in save'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions

.rb:301:in `rollback_active_record_state!'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/transactions

.rb:285:in `save'

 | /usr/share/foreman/app/models/concerns/foreman/sti.rb:29:in `save_with_type'

| /usr/share/foreman/app/controllers/api/v2/hosts_controller.rb:138:in `create'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/impl

icit_render.rb:4:in `send_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:

198:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rend

ering.rb:10:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callback

s.rb:20:in `block in process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:117:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:117:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:555:in `block (2 levels) in compile'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /usr/share/foreman/app/controllers/api/v2/base_controller.rb:152:in `disable_json_root'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.
rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /usr/share/foreman/app/controllers/concerns/application_shared.rb:15:in `set_timezone'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in `set_top

bar_sweeper_controller'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

05/09/2024 4/9



 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.4.1/lib/audited/sweeper.rb:14:in `around

'

| /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.r

b:455:in `public_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:455:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:92:in `__run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:778:in `_run_process_action_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:81:in `run_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callback

s.rb:19:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/resc

ue.rb:29:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/inst

rumentation.rb:32:in `block in process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notificati

ons.rb:164:in `block in instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notificati

ons/instrumenter.rb:20:in `instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/notificati

ons.rb:164:in `instrument'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/inst

rumentation.rb:30:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/para

ms_wrapper.rb:250:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/railties/con

troller_runtime.rb:18:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:

137:in `process'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionview-4.2.5.1/lib/action_view/rendering.rb:30:

in `process'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:1

96:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rack

_delegation.rb:13:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal.rb:2

37:in `block in action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout

e_set.rb:74:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout

e_set.rb:74:in `dispatch'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout
e_set.rb:43:in `serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/mapp

er.rb:49:in `serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/rout

er.rb:43:in `block in serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/rout

er.rb:30:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/journey/rout

er.rb:30:in `serve'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/routing/rout

e_set.rb:815:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.6/lib/apipie/static_dispatcher.rb

:65:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.6/lib/apipie/extractor/recorder.r

b:136:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.6/lib/apipie/middleware/checksum_

in_headers.rb:27:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/etag.rb:24:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/conditionalget.rb:38:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/head.rb:13:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/p

arams_parser.rb:27:in `call'

 | /usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:8:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/f

lash.rb:260:in `call'

 | /usr/share/foreman/lib/middleware/session_safe_logging.rb:17:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:225:in `

context'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/session/abstract/id.rb:220:in `

call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/c

ookies.rb:560:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/query_cache.

rb:36:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activerecord-4.2.5.1/lib/active_record/connection_a

dapters/abstract/connection_pool.rb:653:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/c

allbacks.rb:29:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:88:in `__run_callbacks__'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:778:in `_run_call_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:81:in `run_callbacks'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/c

allbacks.rb:27:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/r

emote_ip.rb:78:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/d

ebug_exceptions.rb:17:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

how_exceptions.rb:30:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:38:in `ca

ll_app'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/rack/logger.rb:22:in `ca

ll'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/sprockets-rails-3.2.0/lib/sprockets/rails/quiet_as

sets.rb:13:in `call'

 | /usr/share/foreman/lib/middleware/tagged_logging.rb:18:in `call'

| /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/re

quest_id.rb:21:in `call'
 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/methodoverride.rb:22:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/runtime.rb:18:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/cache/stra

tegy/local_cache_middleware.rb:28:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_dispatch/middleware/s

tatic.rb:116:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/sendfile.rb:113:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-3.4.1/lib/secure_headers/middleware

.rb:12:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/engine.rb:518:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/application.rb:165:in `c

all'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `publi

c_send'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/railties-4.2.5.1/lib/rails/railtie.rb:194:in `metho

d_missing'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:66:in `block in call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `each'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/rack-1.6.2/lib/rack/urlmap.rb:50:in `call'

 | /usr/share/ruby/vendor_ruby/phusion_passenger/rack/thread_handler_extension.rb:97:in `process_r

equest'

 | /usr/share/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:160:in `accept_

and_process_next_request'

 | /usr/share/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:113:in `main_lo

op'

 | /usr/share/ruby/vendor_ruby/phusion_passenger/request_handler.rb:416:in `block (3 levels) in st

art_threads'

 | /usr/share/ruby/vendor_ruby/phusion_passenger/utils.rb:113:in `block in create_thread_and_abort

_on_exception'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:32

3:in `call'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:32

3:in `block in create_with_logging_context'

...

2018-04-30 12:51:02 fac68c29 [app] [W] Action failed

 | RuntimeError: resource have no errors

 | /usr/share/foreman/app/controllers/api/base_controller.rb:132:in `process_resource_error'

 | /usr/share/foreman/app/controllers/api/base_controller.rb:152:in `process_response'

 | /usr/share/foreman/app/controllers/api/v2/hosts_controller.rb:138:in `create'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/impl

icit_render.rb:4:in `send_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/base.rb:

198:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/action_controller/metal/rend

ering.rb:10:in `process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/actionpack-4.2.5.1/lib/abstract_controller/callback

s.rb:20:in `block in process_action'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:117:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:117:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:555:in `block (2 levels) in compile'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:505:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:498:in `block (2 levels) in around'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:313:in `block (2 levels) in halting'

 | /usr/share/foreman/app/controllers/api/v2/base_controller.rb:152:in `disable_json_root'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:432:in `block in make_lambda'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.
rb:312:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:312:in `block in halting'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `call'

 | /opt/rh/sclo-ror42/root/usr/share/gems/gems/activesupport-4.2.5.1/lib/active_support/callbacks.

rb:497:in `block in around'

...

 I have also run this in debug with SQL logging and see no errors there as well.

Related issues:

Related to Hammer CLI - Bug #23473: Update hammer to correctly provision vmwa... Closed

Related to Foreman - Bug #22037: Compute attributes create and update API mis... New 12/20/2017

Related to Foreman - Bug #3649: Hosts need validations of compute attributes New

History

#1 - 05/01/2018 07:06 PM - Doug Forster

- Subject changed from Unable to provision host after upgrade to 1.16.1 to Unable to provision host with hammer after upgrade to 1.16.1

It seems this might be tied to hammer being used to build hosts. I am trying to figure out the issues but it may be tied to the use of compute profiles.

When using the UI the compute profile populates the form and the build request has much more information in it than the hammer request.

This is from the hammer log.

[ERROR 2018-05-01T14:09:29 API] 500 Internal Server Error

[DEBUG 2018-05-01T14:09:29 API] {

    "error"ESC[0;37m => ESC[0m{

        "message"ESC[0;37m => ESC[0mESC[0;33m"resource have no errors"ESC[0m

    }

}

[DEBUG 2018-05-01T14:09:29 Exception] Using exception handler HammerCLIForeman::ExceptionHandler#handle_intern

al_error

[ERROR 2018-05-01T14:09:29 Exception] resource have no errors

[ERROR 2018-05-01T14:09:29 Exception]

RestClient::InternalServerError (500 Internal Server Error):

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/rest-client-2.1.0.rc1/lib/restclient/abstract_response.rb:

249:in `exception_with_response'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/rest-client-2.1.0.rc1/lib/restclient/abstract_response.rb:

129:in `return!'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/apipie-bindings-0.2.2/lib/apipie_bindings/api.rb:353:in `b

lock in rest_client_call_block'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/rest-client-2.1.0.rc1/lib/restclient/request.rb:829:in `ca

ll'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/rest-client-2.1.0.rc1/lib/restclient/request.rb:829:in `pr

ocess_result'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/rest-client-2.1.0.rc1/lib/restclient/request.rb:738:in `bl

ock in transmit'

    /opt/puppetlabs/puppet/lib/ruby/2.1.0/net/http.rb:853:in `start'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/rest-client-2.1.0.rc1/lib/restclient/request.rb:722:in `tr

ansmit'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/rest-client-2.1.0.rc1/lib/restclient/request.rb:158:in `ex

ecute'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/rest-client-2.1.0.rc1/lib/restclient/request.rb:58:in `exe

cute'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/rest-client-2.1.0.rc1/lib/restclient/resource.rb:69:in `po

st'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/apipie-bindings-0.2.2/lib/apipie_bindings/api.rb:327:in `c

all_client'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/apipie-bindings-0.2.2/lib/apipie_bindings/api.rb:240:in `h

ttp_call'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/apipie-bindings-0.2.2/lib/apipie_bindings/api.rb:190:in `c

all_action'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/apipie-bindings-0.2.2/lib/apipie_bindings/api.rb:185:in `c

all'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/apipie-bindings-0.2.2/lib/apipie_bindings/resource.rb:21:i

n `call'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/hammer_cli-0.12.0/lib/hammer_cli/apipie/command.rb:43:in `

send_request'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/hammer_cli_foreman-0.12.1/lib/hammer_cli_foreman/commands.

05/09/2024 8/9



rb:168:in `send_request'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/hammer_cli-0.12.0/lib/hammer_cli/apipie/command.rb:34:in `

execute'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/clamp-1.2.0.beta1/lib/clamp/command.rb:63:in `run'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/hammer_cli-0.12.0/lib/hammer_cli/abstract.rb:29:in `run'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/clamp-1.2.0.beta1/lib/clamp/subcommand/execution.rb:11:in 

`execute'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/clamp-1.2.0.beta1/lib/clamp/command.rb:63:in `run'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/hammer_cli-0.12.0/lib/hammer_cli/abstract.rb:29:in `run'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/clamp-1.2.0.beta1/lib/clamp/subcommand/execution.rb:11:in 

`execute'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/clamp-1.2.0.beta1/lib/clamp/command.rb:63:in `run'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/hammer_cli-0.12.0/lib/hammer_cli/abstract.rb:29:in `run'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/clamp-1.2.0.beta1/lib/clamp/command.rb:132:in `run'

    /opt/puppetlabs/puppet/lib/ruby/gems/2.1.0/gems/hammer_cli-0.12.0/bin/hammer:142:in `<top (required)>'

    /bin/hammer:23:in `load'

    /bin/hammer:23:in `<main>'

#2 - 05/09/2018 09:38 AM - Tomáš Strachota

- Related to Bug #23473: Update hammer to correctly provision vmware VMs. added

#3 - 06/26/2018 10:00 AM - Tomer Brisker

- translation missing: en.field_release set to 330

- Triaged set to Yes

#4 - 07/02/2018 04:58 PM - Doug Forster

- File foreman debug log from parameter change fail with hammer.txt added

It seems that if I remove my parameters from hammer and exclude the compute profile I am able to provision a VM with hammer.

I am unable to however update parameters on any host after provisioning with hammer. Here is the debug log from foreman while trying to simply

change a parameter with SQL debugging enabled as well.

#5 - 07/12/2018 08:31 AM - Tomer Brisker

- Target version changed from 1.18.0 to 1.18.1

#6 - 08/14/2018 03:04 PM - Tomer Brisker

- Target version changed from 1.18.1 to 1.18.2

#7 - 09/05/2018 10:29 AM - Tomáš Strachota

- Priority changed from High to Normal

I did some investigation and wasn't able to reproduce the issue. I suspect it's either an issue with misconfigured attributes in the compute profile or a

bug in the logic that API uses for merging attributes with profiles. Since a workaround exists (creating a host without compute profiles) I'm lowering

the priority.

I'm afraid we won't be able to debug the issue further until we improve logging of errors in compute orchestration and add validation for compute

attribute parameters (https://projects.theforeman.org/issues/22037).

Unfortunately there's no developers' capacity to look into the problem right now.

#8 - 09/05/2018 10:31 AM - Tomáš Strachota

- Related to Bug #22037: Compute attributes create and update API miss validations added

#9 - 09/05/2018 10:32 AM - Tomáš Strachota

- Related to Bug #3649: Hosts need validations of compute attributes added

#10 - 10/15/2018 11:32 AM - Tomer Brisker

- Category changed from Host creation to Compute resources

- Target version deleted (1.18.2)

Files

foreman debug log from parameter change fail with hammer.txt 131 KB 07/02/2018 Doug Forster
